## org.h2.test.db
Class TestRowFactory.MyTestRowFactory

    java.lang.Object
      org.h2.result.RowFactory
          org.h2.test.db.TestRowFactory.MyTestRowFactory

Enclosing class:
  TestRowFactory

    public static class TestRowFactory.MyTestRowFactory

extends RowFactory

Test row factory.

Field Summary

Fields inherited from class org.h2.result.RowFactory
`DEFAULT`

Constructor Summary
`TestRowFactory.MyTestRowFactory()`

Method Summary
`Row` `createRow(Value[] data, int memory)` Create new row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestRowFactory.MyTestRowFactory

    public TestRowFactory.MyTestRowFactory()

Method Detail

### createRow

    public Row createRow(Value[] data,
                         int memory)

  Description copied from class: `RowFactory`
  Create new row.

  Specified by:
    `createRow` in class `RowFactory`
  Parameters:
    `data` - the values
    `memory` - whether the row is in memory
  Returns:
    the created row